Package org.eclipse.m2m.atl.adt.ui.preferences

## Class ProfileManager.Profile

- java.lang.Object
- - org.eclipse.m2m.atl.adt.ui.preferences.ProfileManager.Profile

All Implemented Interfaces:
  `java.lang.Comparable<ProfileManager.Profile>`

Direct Known Subclasses:
  `ProfileManager.BuiltInProfile`, `ProfileManager.CustomProfile`

Enclosing class:
  ProfileManager

    public abstract static class ProfileManager.Profile
    extends java.lang.Object
    implements java.lang.Comparable<ProfileManager.Profile>

Represents a profile with a unique ID, a name and a map containing the code formatter settings.

### Constructor Summary

Constructors
`Profile()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract java.lang.String` `getID()`
`abstract java.lang.String` `getName()`
`abstract java.util.Map<java.lang.String,​java.lang.String>` `getSettings()`
`boolean` `hasEqualSettings​(java.util.Map<java.lang.String,​java.lang.String> otherMap, java.util.Collection<java.lang.String> allKeys)`
`boolean` `isBuiltInProfile()`
`abstract boolean` `isProfileToSave()`
`boolean` `isSharedProfile()`
`abstract ProfileManager.Profile` `rename​(java.lang.String name, ProfileManager manager)`
`abstract void` `setSettings​(java.util.Map<java.lang.String,​java.lang.String> settings)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Constructor Detail

#### Profile

    public Profile()

### Method Detail

#### getName

    public abstract java.lang.String getName()

#### rename

    public abstract ProfileManager.Profile rename​(java.lang.String name,
                                                  ProfileManager manager)

#### getSettings

    public abstract java.util.Map<java.lang.String,​java.lang.String> getSettings()

#### setSettings

    public abstract void setSettings​(java.util.Map<java.lang.String,​java.lang.String> settings)

#### hasEqualSettings

    public boolean hasEqualSettings​(java.util.Map<java.lang.String,​java.lang.String> otherMap,
                                    java.util.Collection<java.lang.String> allKeys)

#### isProfileToSave

    public abstract boolean isProfileToSave()

#### getID

    public abstract java.lang.String getID()

#### isSharedProfile

    public boolean isSharedProfile()

#### isBuiltInProfile

    public boolean isBuiltInProfile()